manyOneUTest {PMCMRplus} | R Documentation

## Multiple Comparisons with One Control (U-test)

### Description

Performs pairwise comparisons of multiple group levels with one control.

### Usage

    manyOneUTest(x, ...)

    ## Default S3 method:
    manyOneUTest(
      x,
      g,
      alternative = c("two.sided", "greater", "less"),
      p.adjust.method = c("single-step", p.adjust.methods),
      ...
    )

    ## S3 method for class 'formula'
    manyOneUTest(
      formula,
      data,
      subset,
      na.action,
      alternative = c("two.sided", "greater", "less"),
      p.adjust.method = c("single-step", p.adjust.methods),
      ...
    )

### Arguments

`x` | a numeric vector of data values, or a list of numeric data vectors.
`...` | further arguments to be passed to or from methods.
`g` | a vector or factor object giving the group for the corresponding elements of `"x"`. Ignored with a warning if `"x"` is a list.
`alternative` | the alternative hypothesis. Defaults to `two.sided`.
`p.adjust.method` | method for adjusting p values (see `p.adjust`)
`formula` | a formula of the form `response ~ group` where `response` gives the data values and `group` a vector or factor of the corresponding groups.
`data` | an optional matrix or data frame (or similar: see `model.frame`) containing the variables in the formula `formula`. By default the variables are taken from `environment(formula)`.
`subset` | an optional vector specifying a subset of observations to be used.
`na.action` | a function which indicates what should happen when the data contain `NA`s. Defaults to `getOption("na.action")`.

### Details

This functions performs Wilcoxon, Mann and Whitney's U-test for a one factorial design where each factor level is tested against one control (m = k -1 tests). As the data are re-ranked for each comparison, this test is only suitable for balanced (or almost balanced) experimental designs.

For the two-tailed test and `p.adjust.method = "single-step"` the multivariate normal distribution is used for controlling Type 1 error and to calculate p-values. Otherwise, the p-values are calculated from the standard normal distribution with any latter p-adjustment as available by `p.adjust`.

### Value

A list with class `"PMCMR"` containing the following components:

method

  a character string indicating what type of test was performed.

data.name

  a character string giving the name(s) of the data.

statistic

  lower-triangle matrix of the estimated quantiles of the pairwise test statistics.

p.value

  lower-triangle matrix of the p-values for the pairwise tests.

alternative

  a character string describing the alternative hypothesis.

p.adjust.method

  a character string describing the method for p-value adjustment.

model

  a data frame of the input data.

dist

  a string that denotes the test distribution.

### References

OECD (ed. 2006) Current approaches in the statistical analysis of ecotoxicity data: A guidance to application, OECD Series on testing and assessment, No. 54.

### See Also

`wilcox.test`, `pmvnorm`, `Normal`

[Package PMCMRplus version 1.6.1 Index]